Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047327
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Auto BOM For Retailmajoralways2021-07-05 10:442021-08-27 07:49
Reportersanti_lozanoView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047327: Configure and sell a product with Autobom gives an EWI : JSONObject["gross"] not found

DescriptionAfter following the wiki for configuring a BOM product using AutoBom, then selling it from the webpos, there is an EWI error showing that on the JSON sent to the backend the "gross" JSONObject is not included there
(maybe there was some missing information on the autobom wiki, but I think I followed all the steps properly there described)
http://wiki.openbravo.com/wiki/Modules:Auto_BOM_for_Retail/User_Documentation [^]
Steps To Reproduce* download a CS Openbravo version locally, 20Q4.4
* add modules openbravo for retail, retail sampledata, auto bom (which will include dependant modules: bom versions, bom versions template)
* as System Admin role, set core module to be in development (from Module window, module name core, field In Development)
* go to window Windows, Tab & Fields, select Product, remove filters and on tab Tab select Manufacturing and set it to be active
* also on Windows, Tab & Fields, select Bill Of Materials Production and set it to be active
* compile (stopping tomcat) in order to have changes available
* change role to The White Valley Group Admin, go to Product window, select Avalanche Transceiver, mark field Bill of Materials and Auto Generate BOM as selected (we are setting product configuration as in the wiki: http://wiki.openbravo.com/wiki/Modules:Auto_BOM_for_Retail/User_Documentation#Product_configuration [^])
* on Bill of Materials tab for this product, add two products: Alpine poles and Alpine ski boot. With BOM Quantity = 1 (see image attached)
* on Manufacturing tab add the Vall Blanca Store and Central Mountains Store with their storage bin 0-0-0 (see manufacturing image attached)
* go to the webpos, add the product Avalanche Transceiver to the ticket, go to checkout, click on pay total then on done
* go to window from backoffice Errors While Importing POS Data (EWI), then see that a new record has been created and the order has not been taken into account properly (see attached documents for an example of its JSON and error output)
TagsNo tags attached.
Attached Filespng file icon 23646 - producto configurado.png [^] (173,307 bytes) 2021-07-05 10:45


png file icon 23646 - manufacturing configurado.png [^] (185,510 bytes) 2021-07-05 10:45


? file icon 23646 - json ewi [^] (14,064 bytes) 2021-07-05 10:45 [Show Content]
? file icon 23646 - error ewi [^] (1,846 bytes) 2021-07-05 10:45 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0131193)
hgbot (developer)
2021-08-19 03:58

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom/-/merge_requests/15 [^]
(0131205)
hgbot (developer)
2021-08-19 08:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom/-/merge_requests/15 [^]
(0131206)
hgbot (developer)
2021-08-19 08:15

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom [^]
Changeset: 75350a7ba33efbb7ffbd56b62ea56388a3315b7c
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-08-17T16:25:48-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom/-/commit/75350a7ba33efbb7ffbd56b62ea56388a3315b7c [^]

Fixed BUG-47327: Check if the order is a layaway to create a BOM transaction

---
M src/org/openbravo/retail/autobom/process/BOMProcess.java
---
(0131379)
hgbot (developer)
2021-08-26 20:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom/-/merge_requests/16 [^]
(0131381)
hgbot (developer)
2021-08-27 07:48

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom/-/merge_requests/16 [^]
(0131382)
marvintm (developer)
2021-08-27 07:49

https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.autobom/-/commit/95ee0b9c082b46b1562fa71d915223972ee90d38 [^]

- Issue History
Date Modified Username Field Change
2021-07-05 10:44 santi_lozano New Issue
2021-07-05 10:44 santi_lozano Assigned To => Retail
2021-07-05 10:44 santi_lozano Resolution time => 1627250400
2021-07-05 10:44 santi_lozano Triggers an Emergency Pack => No
2021-07-05 10:45 santi_lozano File Added: 23646 - producto configurado.png
2021-07-05 10:45 santi_lozano File Added: 23646 - manufacturing configurado.png
2021-07-05 10:45 santi_lozano File Added: 23646 - json ewi
2021-07-05 10:45 santi_lozano File Added: 23646 - error ewi
2021-07-08 17:02 rqueralta Assigned To Retail => rqueralta
2021-07-08 17:02 rqueralta Status new => scheduled
2021-07-15 16:24 Practics Issue Monitored: Practics
2021-08-19 03:58 hgbot Note Added: 0131193
2021-08-19 08:15 hgbot Note Added: 0131205
2021-08-19 08:15 hgbot Resolution open => fixed
2021-08-19 08:15 hgbot Status scheduled => closed
2021-08-19 08:15 hgbot Note Added: 0131206
2021-08-26 20:09 hgbot Note Added: 0131379
2021-08-27 07:48 hgbot Note Added: 0131381
2021-08-27 07:49 marvintm Note Added: 0131382


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker